class JsonController < ApplicationController
  # JSON information on a single package
  def package
    expires_in 1.hours, public: true
    @p = Package.find_by_name! params[:name]
  end

  # JSON information on all packages
  def packages
    expires_in 1.days, public: true
    @p = Package.with_public_screenshots
  end

  # JSON information on all screenshots
  def screenshots
    expires_in 1.days, public: true
    @s = Screenshot.approved.includes(:package)
  end

  # JSON list of packages that do not have screenshots
  def packages_without_screenshots
    expires_in 1.hours, public: true
    @p = Package.without_screenshots.all
  end
end
